Subject: Re: bug#5775: [PATCH] doc: fix info to say cp -a does _not_ diagnose xattr failures

From: Jim Meyering <[email-masked]>
Date: Sun, 11 Apr 2010 20:31:22 +0200

Pádraig Brady wrote:
...
> Well the patch _reduces_ warnings so that they're only
> shown in case 3 above. They should probably also
> be output in case 5 also which currently doesn't happen
> as explained above.

Yes, but I'm convinced that those warnings have some
value at least some of the time, so I'm very leery of
suppressing them, even if the rules for when they're
emitted are inconsistent and hard to describe.

>> Could it be that you want a new option (groan, maybe...)
>> to remove all of this diagnostic-suppressing behavior?
>
> Well I had thought of that. I.E. output all
> errors in cases 1,2,4 when --warnings is on.
> There is the --verbose option but that also has
> the side effect of outputting non warning text.
> But the current situation is better than having
> a new option I think.